cdac.medinfo.sdk.hl7282.utils

## Enum EnumHealthInformationSystem

- java.lang.Object
- - java.lang.Enum<EnumHealthInformationSystem>
  - - cdac.medinfo.sdk.hl7282.utils.EnumHealthInformationSystem

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumHealthInformationSystem>

      public enum EnumHealthInformationSystem
      extends java.lang.Enum<EnumHealthInformationSystem>

  This enum is used for recognizing various Health Information Systems e.g.Patient Administration System

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLINICAL_LABORATERY` Enum to Clinical Laboratery System
    `FINANCIAL_MANAGEMENT` Enum to Financial Management System
    `PATIENT_ADMINISTRATION` Enum Patient Administration System

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns the Integer value of this enum.
    `static EnumHealthInformationSystem` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumHealthInformationSystem[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PATIENT_ADMINISTRATION

          public static final EnumHealthInformationSystem PATIENT_ADMINISTRATION

      Enum Patient Administration System

    - #### FINANCIAL_MANAGEMENT

          public static final EnumHealthInformationSystem FINANCIAL_MANAGEMENT

      Enum to Financial Management System

    - #### CLINICAL_LABORATERY

          public static final EnumHealthInformationSystem CLINICAL_LABORATERY

      Enum to Clinical Laboratery System

  - ### Method Detail

    - #### values

          public static EnumHealthInformationSystem[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumHealthInformationSystem c : EnumHealthInformationSystem.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumHealthInformationSystem valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the Integer value of this enum.
      Returns:
        String - String value of Health Information Systems.